const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const AutomatedAnswerSchema = mongoose.Schema({
  question: {
    type: Schema.Types.ObjectId,
    ref: 'Question',
    required: true
  },
  stackoverflow: {
    url: {
      type: String
    },
    content: {
      type: String
    },
    status: {
      type: String
    }
  },
  github: [
    {
      type: Schema.Types.ObjectId,
      ref: 'GitHubRepo'
    }
  ],
  youtube: [
    {
      type: String
    }
  ],
  medium_articles: [
    {
      title: String,
      pubDate: String,
      link: String,
      guid: String,
      author: String,
      thumbnail: String,
      description: String,
      content: String
    }
  ],
  dev_articles: [
    {
      title: String,
      pubDate: String,
      link: String,
      guid: String,
      author: String,
      thumbnail: String,
      description: String,
      content: String
    }
  ],
  medium_resources: [
    {
      type: String
    }
  ],
  dev_resources: [
    {
      type: String
    }
  ],
  isLoading: {
    type: Boolean,
    default: true
  },
  isComplete: {
    type: Boolean,
    default: false
  }
});

module.exports = mongoose.model('AutomatedAnswer', AutomatedAnswerSchema);
